=== debian/changelog ===
nodejs (8.10.0~dfsg-2) experimental; urgency=medium

  * Drop binutils dependency (Closes: #893841)
  * Move repository to https://salsa.debian.org/js-team/nodejs.git

 -- Jérémy Lal <kapouer@melix.org>  Fri, 23 Mar 2018 09:30:55 +0100

nodejs (8.10.0~dfsg-1) experimental; urgency=medium

  * New upstream version 8.10.0~dfsg
  * Vcs-Git for that branch
  * Remove openssl patches and others, applied upstream
  * Depends icu 60.2
  * Patch: build doc using node-js-yaml
  * Build-Depends node-js-yaml

 -- Jérémy Lal <kapouer@melix.org>  Fri, 16 Mar 2018 10:25:24 +0100
