=== debian/tests/control ===
Test-Command: ./debian/rules check
Depends: @, ca-certificates, cdbs, python, procps, curl, build-essential
