## nodejs 8.11.1~dfsg

=== debian/changelog ===
nodejs (8.11.1~dfsg-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Pirate Praveen <praveen@debian.org>  Wed, 02 May 2018 11:39:28 +0530

nodejs (8.11.1~dfsg-2) unstable; urgency=medium

  * Upload to unstable 

 -- Jérémy Lal <kapouer@melix.org>  Fri, 13 Apr 2018 09:25:37 +0200

nodejs (8.11.1~dfsg-1) experimental; urgency=medium

  * New upstream version 8.11.1~dfsg
  * Revert 7e875d40, dependency on icu 60 is an upstream v8 bug
  * Upstream patch to avoid mandatory dependency on icu 60
  * Remove node-js-yaml from Build-Depends, already in Indep
  * Depends libhttp-parser >= 2.8

 -- Jérémy Lal <kapouer@melix.org>  Tue, 10 Apr 2018 21:43:32 +0200
