=== debian/control ===
--- 
+++ 
@@ -13,16 +13,14 @@
  curl,
  procps,
  zlib1g-dev,
- libicu-dev (>= 60.2~),
- libc-ares-dev (>= 1.11.0),
- libnghttp2-dev,
- libhttp-parser-dev,
+ libicu-dev,
+ libc-ares-dev (>= 1.14~),
+ libhttp-parser-dev (>= 2.8~),
  libkvm-dev [kfreebsd-any],
  gyp (>= 0.1~svn1773),
  ca-certificates,
- node-js-yaml,
  python,
- libssl-dev (>= 1.0.2),
+ libssl1.0-dev (>= 1.0.2),
  libuv1-dev (>= 1.15.0)
 Build-Depends-Indep: node-js-yaml,
  node-marked
