=== debian/rules ===
--- 
+++ 
@@ -26,12 +26,10 @@
 # Needed by upstream build
 #  * recent gyp needed to build using flock
 bdeps = openssl (>= $(ssl-minver)), pkg-config
-bdeps +=, bash-completion, curl, procps, zlib1g-dev, libicu-dev (>= 60.2~), libc-ares-dev (>= 1.11.0), libnghttp2-dev, libhttp-parser-dev
+bdeps +=, bash-completion, curl, procps, zlib1g-dev, libicu-dev, libc-ares-dev (>= 1.11.0), libhttp-parser-dev (>= 2.8~)
 bdeps +=, libkvm-dev [kfreebsd-any], gyp (>= 0.1~svn1773)
 # Needed for tests
 bdeps +=, ca-certificates
-# Needed for building doc
-bdeps +=, node-js-yaml
 
 # Needed by upstream build and binary development package
 deps = python, libssl-dev (>= $(ssl-minver))
@@ -51,7 +49,6 @@
 --shared-openssl \
 --shared-zlib \
 --shared-cares \
---shared-nghttp2 \
 --shared-http-parser \
 --with-intl=system-icu \
 --prefix=/usr \
