## nodejs 8.11.2~dfsg

=== debian/changelog ===
nodejs (8.11.2~dfsg-1ubuntu2~16.04~ricotz6) xenial; urgency=medium

  * Copied from cosmic

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sat, 06 Oct 2018 21:55:17 +0200

nodejs (8.11.2~dfsg-1ubuntu2) cosmic; urgency=medium

  [ Dan Streetman ]
  * Force dependency on openssl1.0
    The newer openssl has ABI change, and this version of nodejs
    requires building with the older 1.0.2 version of openssl.
    (LP: #1779863)

  [ Mauricio Faria de Oliveira ]
  * d/p/revert-26388feb760c42d5a342a08507f13a3a268918da.patch:
    Fix build errors with openssl 1.0.2 due to patch for openssl 1.1.
    (LP: #1779863)
  * d/p/cd2b80c1f57faa349232276e113fe09be5da1106.patch: Fix test-case
    failure (parallel/test-child-process-stdout-ipc) with libuv 1.21+.

 -- Mauricio Faria de Oliveira <mfo@canonical.com>  Wed, 12 Sep 2018 16:29:53 -0300

nodejs (8.11.2~dfsg-1ubuntu1) cosmic; urgency=medium

  * SECURITY UPDATE: HTTP/2 DoS vulnerability
    - debian/patches/CVE-2018-7161.patch: An attacker can cause a denial of
       service (DoS) by causing a node server providing an http2 server to
       crash by triggering a cleanup bug (use after free).
    - CVE-2018-7161
  *  Fix test failures due to expired certificates
    - debian/patches/regen-test-certs.patch: test: update certificates and
      private keys.

 -- Mike Salvatore <mike.salvatore@canonical.com>  Thu, 09 Aug 2018 09:36:17 -0400

nodejs (8.11.2~dfsg-1) unstable; urgency=medium

  * New upstream version 8.11.2~dfsg
  * Upstream openssl 1.1.1 wip patches (Closes: #898805)
    Also make sure tests still run with openssl 1.1.0

 -- Jérémy Lal <kapouer@melix.org>  Thu, 17 May 2018 19:31:13 +0200
