=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Build-Depends: cdbs,
  debhelper (>=9.20160114),
  dh-buildinfo,
- openssl1.0 (>= 1.0.2) | openssl (>= 1.0.2),
+ openssl1.0 (>= 1.0.2),
  pkg-config,
  bash-completion,
  curl,
@@ -22,9 +22,10 @@
  gyp (>= 0.1~svn1773),
  ca-certificates,
  python,
- libssl1.0-dev (>= 1.0.2) | libssl-dev (>= 1.0.2),
+ libssl1.0-dev (>= 1.0.2),
  libuv1-dev (>= 1.15.0)
-Build-Depends-Indep: node-marked
+Build-Depends-Indep: node-js-yaml,
+ node-marked
 Standards-Version: 4.1.2
 Homepage: http://nodejs.org/
 Vcs-Browser: https://salsa.debian.org/js-team/nodejs/tree/master-8.x
@@ -68,3 +69,26 @@
  System, Events, Standard I/O, Modules, Timers, Child Processes, POSIX,
  HTTP, Multipart Parsing, TCP, DNS, Assert, Path, URL, Query Strings.
 
+Package: nodejs-doc
+Section: doc
+Architecture: all
+Depends: ${misc:Depends}
+Provides: ${cdbs:Provides}
+Recommends: ${cdbs:Recommends}, nodejs
+Replaces: nodejs (<< 6.11.2~dfsg-3)
+Conflicts: nodejs (<< 6.11.2~dfsg-3)
+Description: API documentation for Node.js, the javascript platform
+ Node.js is a platform built on Chrome's JavaScript runtime for easily
+ building fast, scalable network applications. Node.js uses an
+ event-driven, non-blocking I/O model that makes it lightweight and
+ efficient, perfect for data-intensive real-time applications that run
+ across distributed devices.
+ .
+ Node.js is bundled with several useful libraries to handle server
+ tasks:
+ .
+ System, Events, Standard I/O, Modules, Timers, Child Processes, POSIX,
+ HTTP, Multipart Parsing, TCP, DNS, Assert, Path, URL, Query Strings.
+ .
+ This package contains API documentation for nodejs.
+
