=== debian/rules ===
--- 
+++ 
@@ -25,14 +25,14 @@
 
 # Needed by upstream build
 #  * recent gyp needed to build using flock
-bdeps = openssl1.0 (>= $(ssl-minver)) | openssl (>= $(ssl-minver)), pkg-config
+bdeps = openssl1.0 (>= $(ssl-minver)), pkg-config
 bdeps +=, bash-completion, curl, procps, zlib1g-dev, libicu-dev, libc-ares-dev (>= 1.11.0), libnghttp2-dev, libhttp-parser-dev (>= 2.8~)
 bdeps +=, libkvm-dev [kfreebsd-any], gyp (>= 0.1~svn1773)
 # Needed for tests
 bdeps +=, ca-certificates
 
 # Needed by upstream build and binary development package
-deps = python, libssl1.0-dev (>= $(ssl-minver)) | libssl-dev (>= $(ssl-minver))
+deps = python, libssl1.0-dev (>= $(ssl-minver))
 deps +=, libuv1-dev (>= $(uv-minver))
 
 CDBS_BUILD_DEPENDS +=, $(bdeps), $(deps)
